/*
 * Created on Mar 25, 2005
 *
 */
package yaes.application.eel6938.classagents.cxbr;

import java.awt.Point;

/**
 * @author Viet Trinh, vtrinh@ucf.edu
 * 
 * This class is used to track the individual movements of the agents
 */
public class Move 
{
	private Point _location = null; //Current location before 
	private int _speed;
	private int _direction;
	
	/**
	 * @param location The location of the current agent
	 * @param direction The direction of where the agent is going to move
	 * @param speed The speed of the agent when given the command
	 * 
	 */
	public Move(Point location, int direction, int speed) 
	{
		this._direction = direction;
		this._speed = speed;
		this._location = location;
	}
	
	public int getSpeed() 		{ return this._speed; }
	public int getDirection() 	{ return this._direction; }
	public Point getPoint()		{ return this._location; }
	
	public void printMove()
	{
		System.out.println("("+ this._location.x + ", " + this._location.y + ") " + this._direction + " --> " + this._speed);
	}
}
