package yaes.application.eel6938.game.statistics;

public interface IStatistic {
	
    /**
     * @param nodes An array of statistical nodes for one agent. Use these node 
     * to analyze the agent.
     * @return A value depicting the statistic value
     */
    public double[] getStatisticValue(StatisticsNode[] nodes);
    
    /**
     * @return A name descibing this statistic. This is written to the 
     * statistic file. The value is written next to it followed by a CR.
     */
    public String getStatisticName();
}
