/* 
 * Created on  Apr 13, 2005
 *
 */
package yaes.application.eel6938.statistics;

import java.util.ArrayList;

import yaes.application.eel6938.game.statistics.IGroupStatistic;
import yaes.application.eel6938.game.statistics.StatisticsNode;
/**
 * @author Linus Luotsinen
 *
 */
public class GroupSumOfFinalEnergy implements IGroupStatistic {

    public double[] getStatisticValue(ArrayList<StatisticsNode[]> nodes) {
        double[] ret = new double[1];
        for(int agent=0; agent<nodes.size();agent++)
        {
            StatisticsNode[] agentNodes = nodes.get(agent);
            ret[0] += agentNodes[agentNodes.length-1].getEnergyLevel();
        }
        return ret;
    }

    public String getStatisticName() {
        
        return "SumOfFinalEnergy";
    }

}
