package yaes.application.uavaltclient.coalitionformation;



import yaes.application.uavaltclient.nav.Pos;



/**

 * Holds a UAV name plus formation-relavent capabilities.

 * 

 * @author dejongp

 */

public class UAVRepresentation

{

	private String name;

	private double firepower;

	private int numBombs;

	private double visibility;

	private double maxVelocity;

	private double stealth;

	private Pos currentPos; //current location of uav

  

  /**

   * Default constructor

   */

	public UAVRepresentation()

	{

	}



  /**

   * Constructor

   * 

   * @param name

   * @param firepower

   * @param visibility

   * @param maxVelocity

   * @param stealth

   */

  public UAVRepresentation(String name, double firepower, int numBombs, double visibility, double maxVelocity, double stealth, Pos currentPos)

  {

  	this.name = name;

  	this.firepower = firepower;

		this.numBombs = numBombs;

  	this.visibility = visibility;

  	this.maxVelocity = maxVelocity;

  	this.stealth = stealth;

  	this.currentPos = currentPos;

  }



  /**

   * @return

   */

  public double getFirepower()

  {

    return firepower;

  }



  /**

   * @return

   */

  public double getMaxVelocity()

  {

    return maxVelocity;

  }



  /**

   * @return

   */

  public String getName()

  {

    return name;

  }



  /**

   * @return

   */

  public double getStealth()

  {

    return stealth;

  }



  /**

   * @return

   */

  public double getVisibility()

  {

    return visibility;

  }



  /**

   * @param d

   */

  public void setFirepower(double d)

  {

    firepower = d;

  }



  /**

   * @param d

   */

  public void setMaxVelocity(double d)

  {

    maxVelocity = d;

  }



  /**

   * @param string

   */

  public void setName(String string)

  {

    name = string;

  }



  /**

   * @param d

   */

  public void setStealth(double d)

  {

    stealth = d;

  }



  /**

   * @param d

   */

  public void setVisibility(double d)

  {

    visibility = d;

  }



  /**

   * @return

   */

  public int getNumBombs()

  {

    return numBombs;

  }



  /**

   * @param i

   */

  public void setNumBombs(int i)

  {

    numBombs = i;

  }



  /**

   * @return

   */

  public Pos getCurrentPos()

  {

    return currentPos;

  }



  /**

   * @param pos

   */

  public void setCurrentPos(Pos pos)

  {

    currentPos = pos;

  }



}

