package yaes.application.uavaltclient.coalitionformation.timing;



import java.text.DecimalFormat;

import java.text.NumberFormat;



/**

 * Formatting class used for display of metrics.

 * 

 * @author dejongp

 */

public class Format

{

	private static NumberFormat format = new DecimalFormat(); 

	

	static

	{

		format.setMaximumFractionDigits(8);

	}

	

	/**

	 * Format d for output (no scientific notation)

	 * 

	 * @param d double to be formatted

	 * @return formatting string containing display version of d

	 */

  public static String format(double d)

  {

  	return format.format(d);	

  }

}

