package yaes.application.uavaltclient.main;



import java.util.ArrayList;



import yaes.application.uavaltclient.agents.HQ;

import yaes.application.uavaltclient.missionmgr.InitialAssignment;

import yaes.framework.agent.AbstractCommunicatingAgent;

import yaes.framework.agent.Directory;

import yaes.framework.agent.ICommunicatingAgent;

import yaes.framework.world.World;



/**

 * Contains main method which bootstraps the uav client simulation.

 * 

 * Precondition: simulator must be running          

 * 

 * @author dejongp

 */

public class Main

{

	private static Directory directory;

	public static Directory getYaesDirectory() {return directory;}

	

	public static void main(String args[]) 

	{

		System.out.println("Hello world");

		World world = new World();

		directory = new Directory();

		world.setDirectory(directory);

		

		InitialAssignment initialAssignment = new InitialAssignment();

		

    // Obtain instantiated uavs from InitialAssignment.

		// blue-scout, red- bomber, green- normal

		ArrayList agents = initialAssignment.getUavs();



		HQ hq = new HQ(world);

		agents.add(hq);



    for (int i=0; i<agents.size(); i++)

      world.getDirectory().addAgent((ICommunicatingAgent) agents.get(i));

 

    hq.initialize(initialAssignment);



    int index = 0;

    		

		while(true)

		{

			if (index==agents.size()) index = 0;		

			

			//System.out.println(index);

			

			AbstractCommunicatingAgent agent = (AbstractCommunicatingAgent) agents.get(index);

			agent.action(); 

		  

		  try

		  {

		  	Thread.sleep(20);

		  }

		  catch(InterruptedException e) {}

		  

			index++;

		}

	}	

}

