/* 
 * Created on  Apr 13, 2005
 *
 */
package yaes.application.eel6938.game.statistics;

import java.util.ArrayList;

/**
 * @author Linus Luotsinen
 *
 */
public interface IGroupStatistic {

    /**
     * @param nodes An array list containing arrays of nodes. Each entry in the
     * array list corresponds to one agent in the group. The array of nodes
     * are the nodes generated from this agent.
     * @return A value depicting the statistic value
     */
    public double[] getStatisticValue(ArrayList<StatisticsNode[]> nodes);
    
    /**
     * @return A name descibing this statistic. This is written to the 
     * statistic file. The value is written next to it followed by a CR.
     */
    public String getStatisticName();
}
