package yaes.application.marketgrid.resource;

public class ResourceParameter{
  /**
   *   Unique identification of parameter within set of parameters that describe
   *   resource in distinguising way. E.g. PROCESSOR_SPEED, DISK_TRANSFER_RATE
   */
  public String parameterId;

  /**
   *   Numeric value as measure (if applicable) for given parameter
   */
  public double numericValue;

  /**
   *   String value (if applicable) for given parameter
   */
  public String stringValue;

}
